{
  "id": "w_gather_50",
  "name": "Resource Rush",
  "category": "weekly",
  "repeatable": true,
  "timeWindow": {
    "type": "weekly",
    "resetAtUtc": "00:00"
  },
  "prerequisites": {
    "questsCompleted": [],
    "playerLevelMin": 2,
    "guildRequired": false
  },
  "objectives": [
    {
      "id": "obj_gather",
      "type": "GATHER_RESOURCE",
      "target": 50,
      "params": {
        "itemId": "any_ore"
      },
      "progress": 0,
      "complete": false
    }
  ],
  "rewards": [
    {
      "type": "coin",
      "amount": 1500
    },
    {
      "type": "money",
      "amount": 30
    },
    {
      "type": "item",
      "items": [
        {
          "itemId": "scrap_pack_small",
          "qty": 5
        }
      ]
    }
  ],
  "ui": {
    "icon": "quest_weekly_gather",
    "summary": "Gather 50 ores this week."
  }
}